%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%    BINARY ENDOGENOUS TREATMENT    %%%%%%%%
%%%%%%%%%   STOCHASTIC FRONTIER MODEL   %%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% This file runs the Monte-Carlo simulations in 
%%% Centorrino, Perez-Urdiales, Ureta, and Wall (2023)
%%% for all sample sizes
%%% Author: Samuele Centorrino
%%% Email: samuele.centorrino@stonybrook.edu
%%% Last update: June 2023
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

obs  = [250;500;1000];
for ii = 1:length(obs)
    for thrcorr = 1:3
        cpuw_montecarlo
        clearvars -except obs totsim thrcorr ii
    end
end
    
